## section-collections

section-collections

## Functions

flickcurl_collection * | flickcurl_collections_getInfo ()
flickcurl_collection * | flickcurl_collections_getTree ()
void | flickcurl_free_collection ()
void | flickcurl_free_collections ()

## Types and Values

typedef | flickcurl_collection

## Description

## Functions

### flickcurl_collections_getInfo ()

    flickcurl_collection *
    flickcurl_collections_getInfo (flickcurl *fc,
                                   const char *collection_id);

Returns information for a single collection. Currently can only be called by the collection owner, this may change.

Implements flickr.collections.getInfo (1.12)

#### Parameters

fc | flickcurl context |
collection_id | The ID of the collection to fetch information for. |

#### Returns

a collection or NULL on failure

### flickcurl_collections_getTree ()

    flickcurl_collection *
    flickcurl_collections_getTree (flickcurl *fc,
                                   const char *collection_id,
                                   const char *user_id);

Returns a tree (or sub tree) of collections belonging to a given user.

Implements flickr.collections.getTree (1.12)

#### Parameters

fc | flickcurl context |
collection_id | The ID of the collection to fetch a tree for, or zero to fetch the root collection. Defaults to zero. (or NULL) |
user_id | The ID of the account to fetch the collection tree for. Deafults to the calling user. (or NULL) |

#### Returns

a collection or NULL on failure

### flickcurl_free_collection ()

    void
    flickcurl_free_collection (flickcurl_collection *collection);

Destructor collection

#### Parameters

collection | collection |

### flickcurl_free_collections ()

    void
    flickcurl_free_collections (flickcurl_collection **collections);

Destructor for array of collection object

#### Parameters

collections | collection object array |

## Types and Values

### flickcurl_collection

    typedef struct flickcurl_collection_s flickcurl_collection;

A photo collection. May contain collections OR sets but not both.